routes/web.php
<?php

use Illuminate\Support\Facades\Route;

/*
  |--------------------------------------------------------------------------
  | Web Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register web routes for your application. These
  | routes are loaded by the RouteServiceProvider within a group which
  | contains the "web" middleware group. Now create something great!
  |
 */
Auth::routes();

Route::get('/', 'HomeController@index')->name('home.index');
Route::get('/registerc', 'Auth\RegisterController@registerc')->name('register.registerc');
//Route::resource('users', 'UserController')->middleware('auth');
//Route::get('categoriasu', 'CategoriasUserController@index');

Route::get('recuperarpassword/{hash}', 'Auth\ResetPasswordController@resetpassword')->name('user.resetpassword');
Route::post('enviarlink/password', 'Auth\ResetPasswordController@resetpasswordhash')->name('usuario.sendlinkpassword');
Route::post('actualizar/password', 'Auth\ResetPasswordController@updatepassword')->name('usuario.updatepassword');

Route::middleware(['auth'])->group(function () {

    /* Route::get('inicio', function () {
      return view('welcome');
      })->name('inicio'); */

    Route::resource('users', 'UserController'); //CRUD
    Route::resource('categoriasu', 'CategoriasUserController'); //CRUD s
    Route::resource('productos', 'ProductoController'); //CRUD
    Route::resource('links', 'LinkController'); //CRUD

    Route::post('productos/{producto}/duplicate', 'ProductoController@duplicate')->name('productos.duplicate');

    Route::post('productos/{producto}/linkear', 'ProductoController@linkear')->name('productos.linkear');

    Route::resource('configuracion', 'ConfiguracionController'); //CRUD

    Route::get('cargamasiva', 'CargaMasivaController@index')->name('cargamasiva.index');
    Route::get('cargamasiva/plantilla', 'CargaMasivaController@downloadtemplate')->name('cargamasiva.template');
    Route::post('cargamasiva/procesar', 'CargaMasivaController@process')->name('cargamasiva.proccess');

    Route::get('cargamasiva/users', 'CargaMasivaController@indexusers')->name('userscargamasiva.index');
    Route::get('cargamasiva/plantilla/usuarios', 'CargaMasivaController@downloadtemplateusers')->name('cargamasivausers.template');
    Route::post('cargamasiva/procesar/usuarios', 'CargaMasivaController@processusers')->name('cargamasivausers.proccess');

    Route::get('soporte/create', 'SoporteController@create')->name('soporte.create');
    Route::post('soporte/create/process', 'SoporteController@createprocess')->name('soporte.createprocess');

    Route::get('datosbancarios', 'DatosBancariosController@create')->name('datosbancarios.create');
    Route::post('datosbancarios/create/procesar', 'DatosBancariosController@createprocess')->name('datosbancarios.createprocess');
    Route::get('datosbancarios/{users}', 'DatosBancariosController@show')->name('datosbancarios.show');

    //Route::get('users', 'UserController@linkpago')->name('users.linkpago');

    Route::get('perfil/edit', 'PerfilController@edit')->name('perfil.edit');
    Route::post('perfil/edit/process', 'PerfilController@editprocess')->name('perfil.editprocess');

    Route::post('perfil/edit/setshopify', 'PerfilController@setshopify')->name('perfil.setshopify');

    Route::post('users/{user}/updateurl', 'UserController@updateurl')->name('users.updateurl');

    Route::get('pagos/', 'PagosController@index')->name('pagos.index');
    Route::post('pagos/spa', 'PagosController@spa')->name('pagos.spa');
    Route::post('pagos/spl', 'PagosController@spl')->name('pagos.spl');
    Route::get('pagos/{pagos}/edit', 'PagosController@edit')->name('pagos.edit');
    Route::put('pagos/{pagos}/update', 'PagosController@update')->name('pagos.update');
    //Route::get('categoriasComercios/{cc}', 'CategoriasUserController@show')->name('categoriasComercios');

    Route::post('categoriaproducto/create', 'CategoriascController@create')->name('categoriaproductos.create');
    Route::post('categoriaproducto/eliminar', 'CategoriascController@eliminar')->name('categoriaproductos.delete');
});

//Route::resource('users', 'UserController');
//Route::get('users','UserController@index');
//Route::post('users','UserController@store')->name('users.store');
//Route::delete('users/{user}','UserController@destroy')->name('users.destroy');

app/User.php
<?php

namespace App;

use Illuminate\Contracts\Auth\MustVerifyEmail;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Illuminate\Notifications\Notifiable;

class User extends Authenticatable {

    use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'name', 'email', 'password', 'url_perfil', 'ciudad', 'direccion', 'telefono', 'cc_id', 'sitio_web', 'quien_es', 'redes1', 'redes2', 'redes3', 'estado', 'password_reset', 'url_pago'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
        'password', 'remember_token',
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
        'email_verified_at' => 'datetime',
    ];

    public function categoriacomercio() {
        return $this->belongsTo(CategoriasComercios::class, 'cc_id');
    }

    public function getGetNameAttribute() {
        return strtoupper($this->name);
    }

    /* public function setNameAttribute($value)
      {
      $this->attributes['name'] = strtoupper($value);
      } */

    public function setPasswordAttribute($value) {
        $this->attributes['password'] = bcrypt($value);
    }

    public function getFormatFechaAttribute() {
        return $this->created_at->format('d M Y');
    }

    public function getImagenAttribute() {
        return '<img src="' . url('storage/app/public/' . $this->url_perfil) . '" alt="user" class="img-circle" style="width: 150px; height: 131px;display: block;margin-bottom: 30px;">';
    } 

    public function getImagenlistAttribute() {
        if (!empty($this->url_perfil)) {
            return '<img src="' . url('storage/app/public/' . $this->url_perfil) . '" alt="user" class="img-circle float-left m-r-10" style="width: 30px; height: 30px;">';
        } else {
            return '<img src="https://ubisoft-avatars.akamaized.net/a3c1a636-db47-4751-941b-1acc538932de/default_256_256.png" alt="user" class="img-circle float-left m-r-10" style="width: 30px; height: 30px;">';
        }
    }

    public function getEstadosAttribute() {
        return ($this->estado == 'I') ? '<span style="color: #929292">Inactivo</span>' : '<span style="color: #432874">Activo</span>';
    }

    public function productos() {
        return $this->hasMany(Productos::class, 'users_id');
    }

    public function linkeados() {
        return $this->hasMany(Links::class, 'users_id');
    }

}

resources/views/categoriasu/create.blade.php
@extends('layout') 
@section('content')
<div class="row page-titles">
    <div class="col-md-5 align-self-center">
        <h3 class="text-themecolor">Crear Categoria Usuario</h3>
    </div>
    <div class="col-md-7 align-self-center">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Categorias</a></li>
            <li class="breadcrumb-item active">Nueva categorias</li>
        </ol>
    </div>
    <div>
        <button class="right-side-toggle waves-effect waves-light btn-inverse btn btn-circle btn-sm pull-right m-l-10"><i class="ti-settings text-white"></i></button>
    </div>
</div>

<div class="container-fluid">
    <div class="row"> 
        <div class="col-lg-12">
            <div class="card card-outline-info">
                <div class="card-header">
                    <h4 class="m-b-0 text-white">Formulario Crear</h4>
                </div>
                <div class="card-body">
                    <form action="{{ route('categoriasu.store') }}" method="POST" class="form-horizontal" enctype="multipart/form-data">
                        <div class="form-body">
                            <h3 class="box-title">Ingrese los siguiente datos</h3>
                            <hr class="m-t-0 m-b-40">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group row">
                                        <label class="control-label text-right col-md-3">Nombre</label>
                                        <div class="col-md-9">
                                            <input type="text" class="form-control" placeholder="Ingrese el nombre" name="nombre_cc" required>
                                            <small class="form-control-feedback">Ejemplo: comercio ó publicidad</small>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <hr>
                        <div class="form-actions">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="row">
                                        <div class="col-md-offset-3 col-md-9">
                                            @csrf
                                            <button type="submit" class="btn btn-success">Guardar</button>
                                            <a href="{{route('categoriasu.index')}}" class="btn btn-inverse">Cancelar</a>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6"> </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection

resources/views/categoriasu/index.blade.php
@extends('layout') 
@section('content')
<div class="row page-titles">
    <div class="col-md-5 align-self-center">
        <h3 class="text-themecolor">Table jsgrid</h3>
    </div>
    <div class="col-md-7 align-self-center">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
            <li class="breadcrumb-item">pages</li>
            <li class="breadcrumb-item active">Table jsgrid</li>
        </ol>
    </div>
    <div>
        <button class="right-side-toggle waves-effect waves-light btn-inverse btn btn-circle btn-sm pull-right m-l-10"><i class="ti-settings text-white"></i></button>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Container fluid  -->
<!-- ============================================================== -->
<div class="container-fluid">
    <div class="row">
        <div class="col-12">            
            <div class="card">
                <div class="card-body">
                    <h4 class="card-title">Categorias Usuario</h4>
                    <a href="{{ route('categoriasu.create') }}" class="btn btn-primary m-b-20 p-10 btn-block waves-effect waves-light">Crear</a>
                    <div class="table-responsive m-t-10">
                        <table id="myTable" class="table table-bordered table-striped">
                            <thead>
                                <tr>
                                    <th>ID</th>
                                    <th>Nombre</th>
                                    <th>Creado</th>
                                    <th width="20">Acciones</th>
                                </tr>
                            </thead>
                            <tbody>                             
                                @foreach($categorias as $categoria)
                                <tr>
                                    <td>{{ $categoria->id }}</td>
                                    <td>{{ $categoria->nombre_cc }}</td>
                                    <td>{{ $categoria->format_fecha }}</td>
                                    <td width="20">
                                        <div class="btn-group" role="group" aria-label="Button group with nested dropdown">
                                            <a href="{{ route('categoriasu.show', $categoria) }}" class="btn btn-secondary font-18"><i class="fa fa-file-text-o"></i></a>

                                            <a href="{{ route('categoriasu.edit', $categoria) }}" class="btn btn-secondary font-18"><i class="fa fa-edit"></i></a>                                       

                                            <form method="POST" action="{{ route('categoriasu.destroy', $categoria) }}">
                                                @method('DELETE')
                                                @csrf
                                                <button type="submit" value="Eliminar" class="btn btn-secondary font-18" onclick="return confirm('Desea eliminar..?')"><i class="mdi mdi-delete"></i></button>
                                            </form>
                                        </div>
                                    </td>
                                </tr>
                                @endforeach
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>            
        </div>
    </div>
</div>

<script src="../assets/plugins/datatables/jquery.dataTables.min.js"></script>
<script>
    $(document).ready(function() {
        $('#myTable').DataTable();
        $(document).ready(function() {
            var table = $('#example').DataTable({
                "columnDefs": [{
                    "visible": false,
                    "targets": 2
                }],
                "order": [
                    [2, 'asc']
                ],
                "displayLength": 25,
                "drawCallback": function(settings) {
                    var api = this.api();
                    var rows = api.rows({
                        page: 'current'
                    }).nodes();
                    var last = null;
                    api.column(2, {
                        page: 'current'
                    }).data().each(function(group, i) {
                        if (last !== group) {
                            $(rows).eq(i).before('<tr class="group"><td colspan="5">' + group + '</td></tr>');
                            last = group;
                        }
                    });
                }
            });            
        });
    });  
</script>
@endsection    

resources/views/categoriasu/view.blade.php
@extends('layout') 
@section('content')
<div class="row page-titles">
    <div class="col-md-5 align-self-center">
        <h3 class="text-themecolor">Categoria - {{$categoria->nombre_cc}}</h3>
    </div>
    <div class="col-md-7 align-self-center">
        <ol class="breadcrumb">
            <li class="breadcrumb-item"><a href="javascript:void(0)">Categorias</a></li>
            <li class="breadcrumb-item">Ver</li>
            <li class="breadcrumb-item active">{{$categoria->id}}</li>
        </ol>
    </div>
    <div>
        <button class="right-side-toggle waves-effect waves-light btn-inverse btn btn-circle btn-sm pull-right m-l-10"><i class="ti-settings text-white"></i></button>
    </div>
</div>
<!-- ============================================================== -->
<!-- End Bread crumb and right sidebar toggle -->
<!-- ============================================================== -->
<!-- ============================================================== -->
<!-- Container fluid  -->
<!-- ============================================================== -->
<div class="container-fluid">
    <div class="row">
        <div class="col-lg-12">
            <div class="card card-outline-info">
                <div class="card-header">
                    <h4 class="m-b-0 text-white">Detalle</h4>
                </div>
                <div class="card-body">
                    <form class="form-horizontal" role="form">
                        <div class="form-body">
                            <h3 class="box-title">Información</h3>
                            <hr class="m-t-0 m-b-40">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group row">
                                        <label class="control-label text-right col-md-3">ID:</label>
                                        <div class="col-md-9">
                                            <p class="form-control-static"> {{$categoria->id}} </p>
                                        </div>
                                    </div>
                                </div>
                                <!--/span-->
                                <div class="col-md-6">
                                    <div class="form-group row">
                                        <label class="control-label text-right col-md-3">Nombre:</label>
                                        <div class="col-md-9">
                                            <p class="form-control-static"> {{$categoria->nombre_cc}} </p>
                                        </div>
                                    </div>
                                </div>
                                <!--/span-->
                            </div>
                            <!--/row-->
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="form-group row">
                                        <label class="control-label text-right col-md-3">Creado:</label>
                                        <div class="col-md-9">
                                            <p class="form-control-static"> {{$categoria->format_fecha}} </p>
                                        </div>
                                    </div>
                                </div>                               
                            </div>
                        </div>                          
                        <div class="form-actions">
                            <div class="row">
                                <div class="col-md-6">
                                    <div class="row">
                                        <div class="col-md-offset-3 col-md-9">
                                            <button type="submit" class="btn btn-info"> <i class="fa fa-pencil"></i> Editar</button>
                                            <button type="button" class="btn btn-inverse">Regresar</button>
                                        </div>
                                    </div>
                                </div>
                                <div class="col-md-6"> </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection